> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /cms_medicare/datasets/search

> Search the CMS Medicare provider dataset catalog

**Price:** 1 credit per 50 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/cms_medicare/datasets/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/cms_medicare/datasets/search:
    post:
      tags:
        - /cms_medicare
      summary: /cms_medicare/datasets/search
      description: |-
        Search the CMS Medicare provider dataset catalog

        **Price:** 1 credit per 50 results
      operationId: __api_cms_medicare_datasets_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CmsMedicareDatasetsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CmsMedicareDataset'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CmsMedicareDatasetsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        fulltext:
          type: string
          default: ''
        count:
          type: integer
          minimum: 1
        theme:
          anyOf:
            - $ref: '#/components/schemas/CmsMedicareTheme'
            - type: 'null'
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          $ref: '#/components/schemas/CmsMedicareDatasetSort'
          default: search_api_relevance
        sort_order:
          $ref: '#/components/schemas/CmsMedicareSortOrder'
          default: desc
      type: object
      required:
        - count
    CmsMedicareDataset:
      properties:
        '@type':
          type: string
          default: CmsMedicareDataset
        alias:
          type: string
        access_level:
          anyOf:
            - type: string
            - type: 'null'
        landing_page:
          anyOf:
            - type: string
            - type: 'null'
        issued:
          anyOf:
            - type: string
            - type: 'null'
        modified:
          anyOf:
            - type: string
            - type: 'null'
        released:
          anyOf:
            - type: string
            - type: 'null'
        bureau_code:
          items:
            type: string
          type: array
          default: []
        program_code:
          items:
            type: string
          type: array
          default: []
        keywords:
          items:
            type: string
          type: array
          default: []
        themes:
          items:
            type: string
          type: array
          default: []
        publisher:
          anyOf:
            - type: string
            - type: 'null'
        contact_point:
          anyOf:
            - $ref: '#/components/schemas/CmsMedicareContactPoint'
            - type: 'null'
        distributions:
          items:
            $ref: '#/components/schemas/CmsMedicareDistribution'
          type: array
          default: []
      type: object
      required:
        - alias
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CmsMedicareTheme:
      type: string
      enum:
        - Dialysis facilities
        - Home health services
        - Hospice care
        - Inpatient rehabilitation facilities
        - Long-term care hospitals
        - Nursing homes including rehab services
        - Doctors and clinicians
        - Supplier directory
        - Hospitals
        - Physician office visit costs
    CmsMedicareDatasetSort:
      type: string
      enum:
        - search_api_relevance
        - modified
        - title
    CmsMedicareSortOrder:
      type: string
      enum:
        - asc
        - desc
    CmsMedicareContactPoint:
      properties:
        '@type':
          type: string
          default: CmsMedicareContactPoint
        name:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CmsMedicareDistribution:
      properties:
        '@type':
          type: string
          default: CmsMedicareDistribution
        id:
          anyOf:
            - type: string
            - type: 'null'
        media_type:
          anyOf:
            - type: string
            - type: 'null'
        download_url:
          anyOf:
            - type: string
            - type: 'null'
        described_by:
          anyOf:
            - type: string
            - type: 'null'
        described_by_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````